%define module  XML-Filter-BufferText
%define name    perl-%{module}
%define version 1.01
%define release %mkrel 10

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Filter to put all characters() in one event
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
Buildrequires:  perl(XML::SAX)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This is a very simple filter. One common cause of grief (and programmer error)
is that XML parsers aren't required to provide character events in one chunk.
They can, but are not forced to, and most don't. This filter does the trivial
but oft-repeated task of putting all characters into a single event.

%prep
%setup -q -n %{module}-%{version}
chmod 644 BufferText.pm Changes README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/XML
%{_mandir}/*/*



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-10mdv2009.0
+ Revision: 224617
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.01-9mdv2008.1
+ Revision: 180653
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 23 2007 Anne Nicolas <anne.nicolas@mandriva.com> 1.01-8mdv2008.0
+ Revision: 92388
- bump release (oden)

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-7mdv2008.0
+ Revision: 87099
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-6mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.01-5mdk
- Fix According to perl Policy
    - BuildRequires
    - Source URL

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.01-4mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.01-3mdk
- Fix BuildRequires

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-1mdk 
- first mdk release

